import UIKit

class ChatsListTableViewCell: UITableViewCell {
    // MARK: Properties
    @IBOutlet var nameLabel: UILabel!
    @IBOutlet var avatarStatusView: AvatarStatusView! {
        didSet {
            if #available(iOS 13.0, *) {
                avatarStatusView?.backgroundColor = UIColor.systemBackground
            } else {
                avatarStatusView?.backgroundColor = UIColor.white
            }
        }
    }
    @IBOutlet var lastMessageLabel: UILabel!
    @IBOutlet var timestampLabel: UILabel!

    override var backgroundColor: UIColor? {
        get {
            return super.backgroundColor
        }
        set {
            if #available(iOS 13.0, *) {
                super.backgroundColor = UIColor.systemBackground
                avatarStatusView?.backgroundColor = UIColor.systemBackground
            } else {
                super.backgroundColor = UIColor.white
                avatarStatusView?.backgroundColor = UIColor.white
            }
        }
    }
}
